
import os
import sys

#pyGRASS Environment
gisbase = os.environ['GISBASE'] = "/usr/lib/grass74" 		#adjust this path accordingly to your env.

gisdbase = os.path.join('<path to GRASS GIS DB>', "GRASS") #adjust this path accordingly to your env.
location = "Oscillayers"									#adjust this path accordingly to your env.
mapset   = "MIS" 			 								#adjust this path accordingly to your env.

sys.path.append(os.path.join(os.environ['GISBASE'], "etc", "python"))
import grass.script as grass
import grass.script.setup as gsetup

gsetup.init(gisbase, gisdbase, location, mapset)

print grass.gisenv()

#BBox: -26,25 : 60,80  | w: 2064, h: 1320
print "Set region"

grass.run_command('g.region', n = '60', s = '35', e = '20', w = '-10', rows = '600', cols = '720')

#MIS11c
#390-420 Ka.
#t37, 38, 39, 40


#compute averages and divide by 10 (bc worldclim saves data multiplied by 10 to prevent floating point values)
print "compute averages of input time layers";
#bio1 = Annual Mean Temperature
grass.mapcalc('MIS11c_bio1 = ((bio1_t41 + bio1_t39 + bio1_t40) / 3) / 10', overwrite = True)
#bio6 = Min Temperature of Coldest Month
grass.mapcalc('MIS11c_bio6 = ((bio6_t41 + bio6_t39 + bio6_t40) / 3) / 10', overwrite = True)
#bio11 = Mean Temperature of Coldest Quarter
grass.mapcalc('MIS11c_bio11 = ((bio11_t41 + bio11_t39 + bio11_t40) / 3) / 10', overwrite = True)
#bio12 = Annual Precipitation
grass.mapcalc('MIS11c_bio12 = ((bio12_t41 + bio12_t39 + bio12_t40) / 3)', overwrite = True)
#bio10 = Mean Temperature of Warmest Quarter
grass.mapcalc('MIS11c_bio10 = ((bio10_t41 + bio10_t39 + bio10_t40) / 3)', overwrite = True)


#r.out.gdal input=MIS11ab_bio1 output=/media/christian/steam/Compute/Oscillayers/MIS11ab/MIS11ab_bio1.tiff
print "write data to GTiff files"
mis = 'MIS11c'
outPath = '/home/christian/ownCloud/Research/Project/METHOD/DataOut/'

grass.run_command('r.out.gdal', input=mis+'_bio1', output=outPath+mis+'/'+mis+'_bio1.tiff', format='GTiff', createopt="TFW=YES", flags="c", overwrite = True)
grass.run_command('r.out.gdal', input=mis+'_bio6', output=outPath+mis+'/'+mis+'_bio6.tiff', format='GTiff', createopt="TFW=YES", flags="c", overwrite = True)
grass.run_command('r.out.gdal', input=mis+'_bio10', output=outPath+mis+'/'+mis+'_bio10.tiff', format='GTiff', createopt="TFW=YES", flags="c", overwrite = True)
grass.run_command('r.out.gdal', input=mis+'_bio11', output=outPath+mis+'/'+mis+'_bio11.tiff', format='GTiff', createopt="TFW=YES", flags="c", overwrite = True)
grass.run_command('r.out.gdal', input=mis+'_bio12', output=outPath+mis+'/'+mis+'_bio12.tiff', format='GTiff', createopt="TFW=YESE", flags="c", overwrite = True)

